package cic.wsd.disambiguation;

import java.util.ArrayList;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
import cic.wsd.testing.Decision;

/**
 * Graph-based disambiguation with InDegree centrality measure as presented in "Unsupervised Graph-based Word Sense Disambiguation Using Measures of Word Semantic Similarity" by Sinha and Mihalcea. 
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class GraphInDegree extends WSDAlgorithm{
	@Override
	public Decision disambiguate(AmbiguousWord target, ArrayList<AmbiguousWord> window)
	{
		ArrayList<ParsedSynset> senses=target.getSenses();
		Decision decision=new Decision(target,window);
		int i;
		for(i=0;i<senses.size();i++)
		{
			ArrayList<String> dwords=new ArrayList<String>();
			for(AmbiguousWord winWord:window)
			{
				this.overlap(senses.get(i), winWord, dwords);
			}
			decision.setSense(i, (double)dwords.size(), dwords);
		}
		decision.calculateAnswer();
		return decision;
	}
	@Override
	public String toString() {
		
		return "GraphInDegree";
	}

}
