package cic.wsd.disambiguation;

import java.util.ArrayList;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
import cic.wsd.testing.Decision;
/**
 * A simple Most Frequent Sense heuristic.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class MFS extends WSDAlgorithm {

   @Override
	public Decision disambiguate(AmbiguousWord target, ArrayList<AmbiguousWord> window)
	{
		ArrayList<ParsedSynset> senses=target.getSenses();
		Decision decision=new Decision(target,window);
		int i;
		for(i=0;i<senses.size();i++)
		{
			ArrayList<String> dwords=new ArrayList<String>();
			decision.setSense(i, 1.0/((double)(i+2)), dwords);
		}
		decision.calculateAnswer();
		return decision;
	}
	@Override
	public String toString() {
		
		return "MFS";
	}

	

}
