package cic.wsd.disambiguation;

import java.util.ArrayList;
import java.util.Random;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
import cic.wsd.testing.Decision;
/**
 * A simple Random Sense heuristic.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class RandomSense extends WSDAlgorithm {

   @Override
	public Decision disambiguate(AmbiguousWord target, ArrayList<AmbiguousWord> window)
	{
		ArrayList<ParsedSynset> senses=target.getSenses();
		Decision decision=new Decision(target,window);
		int i;
		Random r=new Random();
		
		
		for(i=0;i<senses.size();i++)
		{
			ArrayList<String> dwords=new ArrayList<String>();
			decision.setSense(i, r.nextDouble(), dwords);
		}
		decision.calculateAnswer();
		return decision;
	}
	@Override
	public String toString() {
		
		return "Random Sense";
	}

	

}
