package cic.wsd.disambiguation;

import java.util.ArrayList;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
import cic.wsd.testing.Decision;

/**
 * Simplified lesk algorithm as proposed by Kilgarriff and Rosenzweig in "Framework and Results for English SENSEVAL".
 *  @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class SimplifiedLesk extends WSDAlgorithm {

   @Override
	public Decision disambiguate(AmbiguousWord target, ArrayList<AmbiguousWord> window)
	{
		ArrayList<ParsedSynset> senses=target.getSenses();
		Decision decision=new Decision(target,window);
		int i;
		for(i=0;i<senses.size();i++)
		{
			ArrayList<String> dwords=new ArrayList<String>();
			for(AmbiguousWord winWord:window)
			{
				
				if(this.overlap(senses.get(i), winWord.getLemma()))
						dwords.add(winWord.getLemma());
			}
			decision.setSense(i, (double)dwords.size(), dwords);
		}
		decision.calculateAnswer();
		return decision;
	}
	@Override
	public String toString() {
		
		return "SimplifiedLesk";
	}

	

}
