package cic.wsd.semcor.pruning;

import java.util.ArrayList;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
/**
 * Pruning method for keeping the first N senses.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class FirstSenses extends Pruning {
	/**
	 * @param parameter N value to be used.
	 * @throws Exception
	 */
	public FirstSenses(String parameter) throws Exception {
		super(parameter,"FirstSenses");
	}

	@Override
	public void prune(AmbiguousWord target) {
		int maxSenses=Integer.parseInt(this.parameters.get(0));
		ArrayList<ParsedSynset> senses=target.getSenses();
		while(senses.size()>maxSenses)
		{
			senses.remove(senses.size()-1);
		}
	}

}
