package cic.wsd.semcor.pruning;

import java.util.ArrayList;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
/**
 * Pruning method for keeping only the Nth sense.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */

public class NthSenseOnly extends Pruning {
	/**
	 * @param parameter N value to be used.
	 * @throws Exception
	 */
	
	public NthSenseOnly(String parameter) throws Exception {
		super(parameter,"NthSense");
	}

	@Override
	public void prune(AmbiguousWord target) {
		int nth=Integer.parseInt(this.parameters.get(0))-1;
		ArrayList<ParsedSynset> senses=target.getSenses();
		int max=senses.size();
		for(int i=0;i!=nth&&i<max;i++)
		{
			senses.remove(0);
		}
		while(senses.size()>1)
		{
			senses.remove(senses.size()-1);
		}
		int []answers=target.getCorrectSenses();
		for(int i=0;i<answers.length;i++)
		{
			answers[i]-=(nth+1);
			if(answers[i]<0)
				answers[i]=6;
		}
	}

}
