package cic.wsd.semcor.pruning;

import java.util.ArrayList;

import cic.wordnet.ParsedSynset;
import cic.wsd.semcor.AmbiguousWord;
/**
 * Pruning method for removing the Nth sense.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class RemoveNthSense extends Pruning {
	
	/**
	 * @param parameter N value to be used.
	 * @throws Exception
	 */
	
	public RemoveNthSense(String parameter) throws Exception {
		super(parameter,"RemoveNthSense");
	}

	@Override
	public void prune(AmbiguousWord target) {
		int nth=Integer.parseInt(this.parameters.get(0))-1;
		ArrayList<ParsedSynset> senses=target.getSenses();
		if(nth<senses.size())
			senses.remove(nth);		
		int []answers=target.getCorrectSenses();
		for(int i=0;i<answers.length;i++)
		{
			if(answers[i]>nth)
				answers[i]--;
			if(answers[i]==nth)
				answers[i]=answers.length;
		}
	}

}
