package cic.wsd.windowing;

import java.util.ArrayList;

import cic.wsd.disambiguation.WSDAlgorithm;
import cic.wsd.semcor.AmbiguousWord;
/**
 * Only words that allow the disambiguation algorithm to return an answers will be selected.
 * @author Francisco Viveros-Jim&eacute;nez
 *
 */
public class IsUseful extends Condition {
	WSDAlgorithm algorithm;
/**
 * 
 * @param parameter Disambiguation algorithm to be tested.
 * @throws Exception
 */
	public IsUseful(String parameter) throws Exception{
		super(parameter,"IsUseful");
		String split[]=this.parameters.get(0).split(";");
		this.algorithm=(WSDAlgorithm)Class.forName("cic.wsd.disambiguation."+split[0]).newInstance();
		if(split.length>1)
			this.algorithm.setParams(split[1]);
	}

	@Override
	public boolean satisfiesCondition(AmbiguousWord target,
			AmbiguousWord possibleWord, ArrayList<AmbiguousWord> window) {

		ArrayList<AmbiguousWord> w=new ArrayList<AmbiguousWord>(1);
		w.add(possibleWord);
		return this.algorithm.disambiguate(target, w).isAttempted();
	}

}
